jekyll-bootstrap安装

安装jekyll-bootstrap

首先需要安装jekyll 官网wiki

  1. ruby1.9.1-dev中包含gem的安装包
1
sudo apt-get install ruby1.9.1-dev
  1. 安装jekyll
1
sudo gem install jekyll

接下来需要花3分钟完成jekyll-bootstrap的安装 (将USERNAME替换为你的github的用户名)

  1. 建立新的项目

    去你的 https://github.com 建立一个名为USERNAME.github.com的项目

  2. 安装Jekyll-Bootstrap

    1
    2
    3
    4
    $ git clone https://github.com/plusjade/jekyll-bootstrap.git USERNAME.github.com
    $ cd USERNAME.github.com
    $ git remote set-url origin git@github.com:USERNAME/USERNAME.github.com.git
    $ git push origin master
  3. 等待几分钟,去看下你的 http://USERNAME.github.com

*如果你已经有了一个你的github博客,你可以在本地启你的jekyll服务:

1
2
3
$ git clone https://github.com/plusjade/jekyll-bootstrap.git
$ cd jekyll-bootstrap
$ jekyll --server

去看下http://localhost:4000.

中文下,请将文件改为utf-8格式,如果GBK可能会出现jekyll服务无法启动的错误

解决方法:

修改jekyll为默认打开utf-8:

  1. 找到convertible.rb
1
sudo find / -name convertible.rb

我的是在/var/lib/gems/1.9.1/gems/jekyll-0.12.0/lib/jekyll/convertible.rb

1
cd /var/lib/gems/1.9.1/gems/jekyll-0.12.0/lib/jekyll/ && sudo vim convertible.rb
  1. self.content = File.read(File.join(base, name) 改为 self.content = File.read(File.join(base, name), :encoding => 'utf-8')

参考资料: